Skip to content

CreateElectricalNode

POST
/api/sites/{siteId}/electrical/nodes
curl --request POST \
--url https://your-tenant.consystence.com/api/sites/example/electrical/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "name": "example", "nodeType": "HvIncomer", "ratedVoltageV": 1, "ratedCurrentA": 1, "ratedPowerKw": 1, "impedanceOhms": 1, "cableSize": "example", "cableLengthM": 1, "protectionCurve": "example", "protectionPickupA": 1, "protectionTms": 1, "description": "example", "tagBindings": { "additionalProperty": "example" }, "metadata": { "additionalProperty": "example" } }'
siteId
required
string
Media typeapplication/json
object
id
required
string
0 <= 50 characters
name
required
string
0 <= 200 characters
nodeType
required
string
Allowed values: HvIncomer Transformer Switchboard MccSection CircuitBreaker Starter Vfd Motor Cable Busbar PowerMeter IsolationSwitch LightingCircuit AuxiliaryCircuit
ratedVoltageV
number format: double
nullable
ratedCurrentA
number format: double
nullable
ratedPowerKw
number format: double
nullable
impedanceOhms
number format: double
nullable
cableSize
string
nullable 0 <= 100 characters
cableLengthM
number format: double
nullable
protectionCurve
string
nullable 0 <= 50 characters
protectionPickupA
number format: double
nullable
protectionTms
number format: double
nullable
description
string
nullable 0 <= 500 characters
tagBindings
object
key
additional properties
string
metadata
object
key
additional properties
nullable

OK